org.mariadb.jdbc.internal.packet

## Class Packet

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.Packet

    public class Packet
    extends Object

Creates result packets only handles error, ok, eof and result set packets since field and row packets require a previous result set stream.

### Field Summary

Fields
`static byte` `COM_INIT_DB`
`static byte` `COM_PING`
`static byte` `COM_QUERY`
`static byte` `COM_QUIT`
`static byte` `COM_STMT_CLOSE`
`static byte` `COM_STMT_EXECUTE`
`static byte` `COM_STMT_PREPARE`
`static byte` `COM_STMT_SEND_LONG_DATA`
`static byte` `EOF`
`static byte` `ERROR`
`static byte` `LOCAL_INFILE`
`static byte` `OK`

### Constructor Summary

Constructors
Constructor and Description
`Packet()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR

    public static final byte ERROR

See Also:
  Constant Field Values

#### OK

    public static final byte OK

See Also:
  Constant Field Values

#### EOF

    public static final byte EOF

See Also:
  Constant Field Values

#### LOCAL_INFILE

    public static final byte LOCAL_INFILE

See Also:
  Constant Field Values

#### COM_QUIT

    public static final byte COM_QUIT

See Also:
  Constant Field Values

#### COM_INIT_DB

    public static final byte COM_INIT_DB

See Also:
  Constant Field Values

#### COM_QUERY

    public static final byte COM_QUERY

See Also:
  Constant Field Values

#### COM_PING

    public static final byte COM_PING

See Also:
  Constant Field Values

#### COM_STMT_PREPARE

    public static final byte COM_STMT_PREPARE

See Also:
  Constant Field Values

#### COM_STMT_EXECUTE

    public static final byte COM_STMT_EXECUTE

See Also:
  Constant Field Values

#### COM_STMT_SEND_LONG_DATA

    public static final byte COM_STMT_SEND_LONG_DATA

See Also:
  Constant Field Values

#### COM_STMT_CLOSE

    public static final byte COM_STMT_CLOSE

See Also:
  Constant Field Values

### Constructor Detail

#### Packet

    public Packet()